document.addEventListener('DOMContentLoaded', () => {
  const particles = document.querySelectorAll('.floating-particles span');
  
  function animateParticles() {
    particles.forEach((particle, index) => {
      // Random initial positions
      particle.style.left = `${Math.random() * 100}%`;
      particle.style.top = `${Math.random() * 100}%`;
      
      // Create floating animation
      function float() {
        const xPos = Math.sin(Date.now() * 0.001 + index) * 30;
        const yPos = Math.cos(Date.now() * 0.001 + index) * 30;
        particle.style.transform = `translate(${xPos}px, ${yPos}px)`;
        requestAnimationFrame(float);
      }
      
      float();
    });
  }

  // Check if user prefers reduced motion
  const prefersReducedMotion = window.matchMedia('(prefers-reduced-motion: reduce)');
  if (!prefersReducedMotion.matches) {
    animateParticles();
  }
});
